{% set CodiceModulo = "RICH_ABB_ALBERI" %}
{% set Urn = "document:c_c357:abbattimento.alberi;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
	{ "codice":"DOC_FOTO",
		"urn":"document:s_italia:generale;colori;documentazione.fotografica",
		"descrizione_tabella_allegati":"documentazione fotografica",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"Documentazione fotografica",
		"filename":"Documentazione fotografica",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"true",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
		},
	{ "codice":"ABB-DOC-ESP",
		"urn":"document:s_italia:abbattimento.alberi;documentazione",
		"descrizione_tabella_allegati":"relazione o documentazione esplicativa",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"Relazione o documentazione esplicativa",
		"filename":"Documentazione esplicativa",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"#Tassonomia_Motivazioni1.checked()",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
		},
	{ "codice":"DAE-CDI",
		"urn":"document:s_italia:generale;documento.identita;documentazione",
		"descrizione_tabella_allegati":"Documento di identità",
		"annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
		"descrizione_meta":"",
		"filename":"Documento identita",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
	}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di autorizzazione per abbattimento di alberi"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|29/03/2021"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
		<meta codice_allegato="{{ allegato['codice'] }}"
		urn_allegato="{{ allegato['urn'] }}"
		descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
		filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
		firmatari="{{ allegato['firmatari'] }}"
		firmatari_label="{{ allegato['firmatari_label'] }}"
		firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
		numero="{{ allegato['numero'] }}"
		dimensione_massima="{{ allegato['dimensione'] }}"
		obbligatorio="DINAMICO"
		tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>

<meta codice_modulo_figlio="MARCA_BOLLO"
urn_modulo_figlio="document:s_italia:pagamento.imposta.bollo;apposizione.domanda;dichiarazione.sostitutiva"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>



{% endblock meta %}

{% block title %} Domanda di autorizzazione per abbattimento di alberi {% endblock title %}

{% block content %}
 <globo_fondo_pagina areaheight="150" scope="2">
 {{ utils.firma() }}
</globo_fondo_pagina>

{{intestazioni.intestazione_moduloprincipale_conbollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - abbattimento alberi'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Domanda di autorizzazione per abbattimento di alberi
</h1>

{{ anagrafica.societa("Titolare", "Il sottoscritto", ["Persona fisica", "Titolare", "Legale rappresentante"], "Richiedente", "visibility:visibility", "cursor:pointer", "mail_ordinaria", "false", "false") }}

<input id="Immobile1_DatiImmobileRichiesti" name="Immobile1_DatiImmobileRichiesti" type="checkbox" style="display: none;" value="si" dynamic_check="true"/>
<input id="Immobile1_DatiCatastaliObbligatori" name="Immobile1_DatiCatastaliObbligatori" type="checkbox" style="display: none;" value="si"/>
{{ immobili.immobile_secondario("Immobile1", "sito in", "Collocazione immobile" ) }}

<h3 class="Modulo">
  CHIEDE
</h3>
<p class="Modulo">
  l’autorizzazione all’abbattimento
</p>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="3">
        <p class="Labeltabella">
          dei seguenti alberi
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td style="width: 50%;">
        <p class="Labelcella">
          Numero	
        </p>
      </td>
      <td colspan="2" style="width: 50%;">
        <p class="Labelcella">
          Specie
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input format="number" mandatory="true" class="inputNormal" id="Parametri_Numero" name="Parametri_Numero" style="width: 100%;" label="Numero" />
      </td>
      <td colspan="2">
        <input mandatory="true" class="inputNormal" id="Parametri_Specie" name="Parametri_Specie" style="width: 100%;" label="Specie" />
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Circonferenza fusto in centimetri (misurata a 130 cm di altezza dal colletto)	
        </p>
      </td>
      <td>
        <p class="Labelcella">
          Altezza (metri)
        </p>
      </td>
      <td>
        <p class="Labelcella">
          Diametro della chioma (metri)
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input format="number" mandatory="true" class="inputNormal" id="Parametri_Circonferenza" name="Parametri_Circonferenza" style="width: 100%;" label="Circonferenza" />
      </td>
      <td>
        <input format="number" mandatory="true" class="inputNormal" id="Parametri_Altezza" name="Parametri_Altezza" style="width: 100%;" label="Altezza" />
      </td>
      <td>
        <input  format="number" mandatory="true" class="inputNormal" id="Parametri_Diametro" name="Parametri_Diametro" style="width: 100%;" label="Diametro" />
      </td>
    </tr>
  </tbody>
</table>

<globo_salto_pagina></globo_salto_pagina>

<table class="Modulo" style="border: 1px solid grey;margin-top: 0px;">
  <tbody>
    {% for i in range(1, 3) %}
    <tr class="Rigaintestazione">
      <td colspan="3">
        <p class="Labeltabella">
          <input id="UlterioriAlberi{{ loop.index }}" name="UlterioriAlberi{{ loop.index }}" type="checkbox" value="SI" />
          ulteriori alberi
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td style="width: 50%;">
        <p class="Labelcella">
          Numero	
        </p>
      </td>
      <td colspan="2" style="width: 50%;">
        <p class="Labelcella">
          Specie
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input format="number" mandatory_enabled="#UlterioriAlberi{{ loop.index }}.checked()" class="inputNormal" id="Parametri_Numero{{ loop.index }}" name="Parametri_Numero{{ loop.index }}" style="width: 100%;" label="Numero" />
      </td>
      <td colspan="2">
        <input mandatory_enabled="#UlterioriAlberi{{ loop.index }}.checked()"  class="inputNormal" id="Parametri_Specie{{ loop.index }}" name="Parametri_Specie{{ loop.index }}" style="width: 100%;" label="Specie" />
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Circonferenza fusto in centimetri (misurata a 130 cm di altezza dal colletto)	
        </p>
      </td>
      <td>
        <p class="Labelcella">
          Altezza (metri)
        </p>
      </td>
      <td>
        <p class="Labelcella">
          Diametro della chioma (metri)
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input format="number" mandatory_enabled="#UlterioriAlberi{{ loop.index }}.checked()" class="inputNormal" id="Parametri_Circonferenza{{ loop.index }}" name="Parametri_Circonferenza{{ loop.index }}" style="width: 100%;" label="Circonferenza" />
      </td>
      <td>
        <input format="number" mandatory_enabled="#UlterioriAlberi{{ loop.index }}.checked()" class="inputNormal" id="Parametri_Altezza{{ loop.index }}" name="Parametri_Altezza{{ loop.index }}" style="width: 100%;" label="Altezza" />
      </td>
      <td>
        <input format="number" mandatory_enabled="#UlterioriAlberi{{ loop.index }}.checked()" class="inputNormal" id="Parametri_Diametro{{ loop.index }}" name="Parametri_Diametro{{ loop.index }}" style="width: 100%;" label="Diametro" />
      </td>
    </tr>
    {% endfor %} 
  </tbody>
</table>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p class="Labeltabella">
          collocati in
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          Tipologia 
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <div id="Tassonomia_AreaOccupata" name="Tassonomia_AreaOccupata" label="Area occupata" mandatory="true"></div>
        <input id="Tassonomia_AreaOccupata1" name="Tassonomia_AreaOccupata" type="radio" value="1" />
      </td>
      <td>
        <p>
          area pubblica
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="Tassonomia_AreaOccupata2" name="Tassonomia_AreaOccupata" type="radio" value="2" />
      </td>
      <td>
        <p>
          area privata
        </p>
      </td>
    </tr>
  </tbody>
</table>
<input id="Immobile_DatiImmobileRichiesti" name="Immobile_DatiImmobileRichiesti" type="checkbox" style="display: none;" value="si" dynamic_check="true"/>
{{ immobili.immobile_toponomastica_secondario("Immobile", "con sede in", "Localizzazione intervento", "display:none") }}

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p class="Labeltabella">
          per il seguente motivo
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          Motivazione 
        </p>
      </td>
    </tr>
    <tr>
      <td rowspan="2" style="vertical-align: top; width: 4%;background-color: white;">
        <div id="Tassonomia_Motivazioni" name="Tassonomia_Motivazioni" label="Motivazione" mandatory="true"></div>
        <input id="Tassonomia_Motivazioni1" name="Tassonomia_Motivazioni" type="radio" value="1" />
      </td>
      <td>
        <p>
          sentenze giudiziarie o ragioni di incolumità pubblica, pertanto
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazione">
      <td>
        <p class="Labeltabella">
          allega relazioni tecniche o documentazione esplicativa redatta da tecnici abilitati
        </p>
      </td>
    </tr>
    <tr>
      <td rowspan="3" style="vertical-align: top; width: 4%;background-color: white;">
        <input id="Tassonomia_Motivazioni2" name="Tassonomia_Motivazioni" type="radio" value="2" />
      </td>
      <td>
        <p>
          altra motivazione
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Specificare
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <input mandatory_enabled="#Tassonomia_Motivazioni2.checked()" class="inputNormal" id="Parametri_AltraMotivazione" name="Parametri_AltraMotivazione" style="width: 100%;" label="Altra motivazione" />
      </td>
    </tr>
  </tbody>
</table>

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazioneridotta">
   <td>
    <p class="Labelcella">
     Eventuali annotazioni
    </p>
   </td>
  </tr>
  <tr>
   <td>
    <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni" style="width:100%;height:5cm;"></textarea>
   </td>
  </tr>
 </tbody>
</table>

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width:3%">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="MARCA_BOLLO" name="MARCA_BOLLO" type="checkbox" value="OBBLIGATORIO" checked="checked" dynamic_check="true"/>
      </td>
      <td style="background-color: #eeeeee;">
        <p>
          pagamento dell'imposta di bollo
        </p>
      </td>
    </tr>
  <tr>
   <td>
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>


<br/>

{{ utils.trattamento_dati_personali() }}

<br/>

  {{ utils.firma_hidden() }}
  <br/>

<p class="Modulo">
 <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_modulofiglio_cMARCA_BOLLO" name="GLOBO_modulofiglio_cMARCA_BOLLO" type="hidden" value="" obbligatorio="#MARCA_BOLLO.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
